clear all

quest={'Die Programme ';'   adams_bashforth_verfahren.m';'   nystroem_verfahren.m';'muessen angepasst werden.';'Weiter?'};
answer=questdlg(quest,'Achtung:','Ja','Nein','Ja');

if ~strcmp(answer,'Ja')
    clear quest answer
    break
end

t_0=0;
y_0=[1,0];
t_end=10;
f=@f_DGL;

for h=[0.1,0.01]
    [t_loes,y_loes]=loesung(t_0,t_end,h);
    [t_ab,y_ab]=adams_bashforth_verfahren(t_0,y_0,t_end,h,f);
    [t_ny,y_ny]=nystroem_verfahren(t_0,y_0,t_end,h,f);


    h_fig=figure;
    set(h_fig,'Name',['Loesung h=',num2str(h)],'NumberTitle','off')
    plot(y_loes(1,:),y_loes(2,:),'k',y_ab(1,:),y_ab(2,:),'r',y_ny(1,:),y_ny(2,:),'b');
    legend('Loesung','Adams-Bashforth','Nystroem','Location','BestOutside');

    n=length(t_loes);
    error_ab=y_loes-y_ab;
    error_ny=y_loes-y_ny;
    for i=1:n
        norm_ab(i)=norm(error_ab(i));
        norm_ny(i)=norm(error_ny(i));
    end

    h_fig=figure;
    set(h_fig,'Name',['Fehlernorm h=',num2str(h)],'NumberTitle','off')
    plot(t_ab,norm_ab,'r',t_ny,norm_ny,'b');
    set(gca,'YScale','log');
    title('Logarithmischer Fehler')
    legend('Adams-Bashforth','Nystroem','Location','BestOutside');

end